Bug 1841283 - [4.4.z] RHEL CoreOS is missing a RHEL CoreOS specific CPE in /etc/os-release and at https://nvd.nist.gov/products/cpe
Summary: [4.4.z] RHEL CoreOS is missing a RHEL CoreOS specific CPE in /etc/os-release ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.z
Assignee: Sohan Kunkerkar
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1774085 1841281
Blocks: 1841284
TreeView+ depends on / blocked
 
Reported: 2020-05-28 18:51 UTC by Micah Abbott
Modified: 2020-08-06 19:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1841281
: 1841284 (view as bug list)
Environment:
Last Closed: 2020-08-06 19:07:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3237 0 None None None 2020-08-06 19:08:27 UTC

Comment 5 Michael Nguyen 2020-07-31 13:27:40 UTC
Verified on 4.4.0-0.nightly-2020-07-31-012907, /etc/os-release has the proper CPE with RHCOS 44.82.202007302230-0.


$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-07-31-012907   True        False         16s     Cluster version is 4.4.0-0.nightly-2020-07-31-012907
$ oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
ip-10-0-144-112.us-west-2.compute.internal   Ready    master   23m   v1.17.1+b83bc57
ip-10-0-145-109.us-west-2.compute.internal   Ready    worker   12m   v1.17.1+b83bc57
ip-10-0-173-97.us-west-2.compute.internal    Ready    worker   11m   v1.17.1+b83bc57
ip-10-0-177-22.us-west-2.compute.internal    Ready    master   24m   v1.17.1+b83bc57
ip-10-0-204-60.us-west-2.compute.internal    Ready    master   23m   v1.17.1+b83bc57
ip-10-0-223-94.us-west-2.compute.internal    Ready    worker   12m   v1.17.1+b83bc57
$ oc debug node/ip-10-0-173-97.us-west-2.compute.internal -- chroot /host cat /etc/os-release
Starting pod/ip-10-0-173-97us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
NAME="Red Hat Enterprise Linux CoreOS"
VERSION="44.82.202007302230-0"
VERSION_ID="4.4"
OPENSHIFT_VERSION="4.4"
RHEL_VERSION="8.2"
PRETTY_NAME="Red Hat Enterprise Linux CoreOS 44.82.202007302230-0 (Ootpa)"
ID="rhcos"
ID_LIKE="rhel fedora"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8::coreos"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="OpenShift Container Platform"
REDHAT_BUGZILLA_PRODUCT_VERSION="4.4"
REDHAT_SUPPORT_PRODUCT="OpenShift Container Platform"
REDHAT_SUPPORT_PRODUCT_VERSION="4.4"
OSTREE_VERSION='44.82.202007302230-0'

Removing debug pod ...
$ oc debug node/ip-10-0-173-97.us-west-2.compute.internal -- chroot /host rpm-ostree status
Starting pod/ip-10-0-173-97us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
State: idle
AutomaticUpdates: disabled
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a3c6de0bfa723cc19ece12ba11c1670e8425c37c7e7ed9657eb6fe5f361bcc03
              CustomOrigin: Managed by machine-config-operator
                   Version: 44.82.202007302230-0 (2020-07-30T22:36:23Z)

  ostree://c95ed1eb5c045492d7293a2a1b7178a050f857944fc46ab3377fca3afd5b7b31
                   Version: 44.81.202004250133-0 (2020-04-25T01:38:52Z)

Removing debug pod ...

Comment 7 errata-xmlrpc 2020-08-06 19:07:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.16 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3237


Note You need to log in before you can comment on or make changes to this bug.